Skip to content

Add addresses from a CSV file

POST
/api/v1/workspaces/{workspace}/suppressions/upload
curl --request POST \
--url 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/suppressions/upload?reason=manual' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: text/csv' \
--data binary

Permission: subscribers:edit

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

fileName
string
<= 200 characters
reason
string
default: manual
Allowed values: manual hard_bounce complaint unsubscribe ""
note
string
<= 300 characters
Media typetext/csv
string format: binary

OK

Media typeapplication/json
object
added
required
integer format: int64
already
required

Already on the list

integer format: int64
invalid
required

Values that aren’t addresses

Array<string>
rows
required
integer format: int64

Example generated

{
"added": 1,
"already": 1,
"invalid": [
"example"
],
"rows": 1
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}